Open topic with navigation

TIBCO® Patterns 6.1.2

| ibi Patterns .NET API

Loading...
Searching...
No Matches
Public Member Functions | List of all members
NetricsServerInterface.NetricsArrayRecOpSrc Class Reference

An array backed source for record operations. More...

## Public Member Functions
| NetricsArrayRecOpSrc ()
| Create an empty source.
| NetricsArrayRecOpSrc (params NetricsRecOp[] rec_ops)
| Create a source with an initial set of record operations.
void | addRecOp (params NetricsRecOp[] rec_ops)
| Add a set of record operations to the source.
int | size ()
| Return the number of RecOps in this source.
bool | hasNext ()
| True if getNext will return a record operation.
NetricsRecOp | getNext ()
| Returns the next record operation.
NetricsRecOp | getCur ()
| Returns the current record operation.
bool | canReset ()
| Indicate we support the reset operation.
void | reset ()
| Reset the scan of record back to the beginning.
bool | hasNext ()
| True if getNext will return a record operation.
NetricsRecOp | getNext ()
| Returns the next record operation.
NetricsRecOp | getCur ()
| Returns the current record operation.
bool | canReset ()
| Returns true if this instance supports the reset method.
void | reset ()
| Reset the scan of records back to the beginning.

## Detailed Description

An array backed source for record operations.

This is an implementation of the NetricsRecOpSrc interface. It provides for storing and returning a fixed number of record operations. It does not provide an open ended stream. Instead it provides a simple batch of records.

See also
  NetricsRecOp, NetricsRecOpSrc, NetricsServerInterface.doRecOps(String,bool,NetricsRecOpSrc)

## Constructor & Destructor Documentation

## ◆ NetricsArrayRecOpSrc() [1/2]

NetricsServerInterface.NetricsArrayRecOpSrc.NetricsArrayRecOpSrc | ( |  | ) |
| inline

Create an empty source.

This creates an empty source. Record operations must be added using addRecOp.

## ◆ NetricsArrayRecOpSrc() [2/2]

NetricsServerInterface.NetricsArrayRecOpSrc.NetricsArrayRecOpSrc | ( | params NetricsRecOp[] | rec_ops | ) |
| inline

Create a source with an initial set of record operations.

This creates a record operation source and populates it with an initial set of record operations.

Parameters

  rec_ops | the initial record operations.

## Member Function Documentation

## ◆ addRecOp()

void NetricsServerInterface.NetricsArrayRecOpSrc.addRecOp | ( | params NetricsRecOp[] | rec_ops | ) |
| inline

Add a set of record operations to the source.

This adds a set of record operations to the end of the current list of record operations for this source.

Parameters

  rec_ops | the set of record operations to add.

## ◆ canReset()

bool NetricsServerInterface.NetricsArrayRecOpSrc.canReset | ( |  | ) |
| inline

Indicate we support the reset operation.

Returns
  true

Implements NetricsServerInterface.NetricsRecOpSrc.

## ◆ getCur()

NetricsRecOp NetricsServerInterface.NetricsArrayRecOpSrc.getCur | ( |  | ) |
| inline

Returns the current record operation.

This returns the last record operation fetched. If no record operation has been fetched, or getNext() was called at the end of file, this returns null.

Returns
  return the current record operation, null if no current record operation set.

Implements NetricsServerInterface.NetricsRecOpSrc.

## ◆ getNext()

NetricsRecOp NetricsServerInterface.NetricsArrayRecOpSrc.getNext | ( |  | ) |
| inline

Returns the next record operation.

Returns
  the next record operation, null if there is no next record.

Implements NetricsServerInterface.NetricsRecOpSrc.

## ◆ hasNext()

bool NetricsServerInterface.NetricsArrayRecOpSrc.hasNext | ( |  | ) |
| inline

True if getNext will return a record operation.

Returns
  True if there is another record operation, false otherwise.

Implements NetricsServerInterface.NetricsRecOpSrc.

## ◆ reset()

void NetricsServerInterface.NetricsArrayRecOpSrc.reset | ( |  | ) |
| inline

Reset the scan of record back to the beginning.

This resets the scan of records back to the initial state. After this call there is no current record and getNext will retrieve the first record.

Implements NetricsServerInterface.NetricsRecOpSrc.

Did you find this helpful?

Yes No
Great!
Thanks for taking the time to give us some feedback.
Sorry about that

Why wasn't this helpful? (check all that apply)

Could not find what I was looking for
Instructions confusing or unclear
Instructions did not work

Want to tell us more?

Please select at least one option or provide details about the issue!!

Error occurred while submitting feedback.

Error2 occurred while submitting feedback.

TIBCO® Patterns

Copyright © 2010-2025. Cloud Software Group, Inc. All Rights Reserved.